import { RectData } from "igniteui-react-core/ES2015/RectData";
import { LabelAppearanceData } from "igniteui-react-core/ES2015/LabelAppearanceData";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { Base, Type } from "igniteui-react-core/ES2015/type";
export declare class ChartTitleVisualData extends Base {
    constructor();
    readonly width: number;
    readonly height: number;
    private _viewport;
    viewport: RectData;
    private _textPlotArea;
    textPlotArea: RectData;
    private _appearance;
    appearance: LabelAppearanceData;
    serialize(): string;
    h(a: RectData): void;
    g(): void;
    j(a: Rect): void;
    i(): void;
    static $t: Type;
}
